## org.openmuc.jasn1.ber.types
Class BerGeneralizedTime

    java.lang.Object
      org.openmuc.jasn1.ber.types.BerOctetString
          org.openmuc.jasn1.ber.types.BerGeneralizedTime

    public class BerGeneralizedTime

extends BerOctetString

Field Summary
`static BerIdentifier` `identifier`

Fields inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`id, octetString`

Constructor Summary
`BerGeneralizedTime()`
`BerGeneralizedTime(byte[] octetString)`

Method Summary

Methods inherited from class org.openmuc.jasn1.ber.types.BerOctetString
`decode, encode, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### identifier

    public static final BerIdentifier identifier

Constructor Detail

### BerGeneralizedTime

    public BerGeneralizedTime()

### BerGeneralizedTime

    public BerGeneralizedTime(byte[] octetString)